### Method

# Gtk Snapshot to_node

#### Declaration [src]

    GskRenderNode*
    gtk_snapshot_to_node (
      GtkSnapshot* snapshot
    )

#### Description [src]

Returns the render node that was constructed by `snapshot`.

Note that this function may return `NULL` if nothing has been added to the snapshot or if its content does not produce pixels to be rendered.

After calling this function, it is no longer possible to add more nodes to `snapshot`. The only function that should be called after this is `g_object_unref()`.

#### Return value

Type: `GskRenderNode`

The constructed `GskRenderNode` or `NULL` if there are no nodes to render.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.